EMR API

get /users/{id}/emr

Get user EMR data

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Retrieve all EMR (Electronic Medical Record) data for a user

Tip: The :id parameter accepts dash (-) for the current user.

Returns all EMR categories: allergies, conditions, surgeries, family_conditions, social_history, health_habits, medications.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesUser ID or dash (`-`) for current user (e.g. 575)

Responses

200 — Successful response

EMR Data

{
  "data": {
    "allergies": {
      "data": [
        {
          "substance": "A+D"
        }
      ],
      "modified": 1467667527,
      "modified_by": {
        "id": "575",
        "type": "200",
        "first_name": "Keven2",
        "last_name": "Teodoro2",
        "title": "Dr.",
        "Suffix": "MD"
      }
    },
    "conditions": {
      "data": [
        {
          "condition": "Bleeding problem"
        }
      ],
      "modified": 1465941203,
      "modified_by": {}
    }
  }
}

Machine-readable: OpenAPI JSON